# Copyright (c) Microsoft Corporation.
# Licensed under the MIT License.
"""Collection of encoders for GNNs."""
# flake8: noqa
from .feature_encoder import (
    FeatureEncoder,
    TwinBERTEncoder,
    TwinBERTFeatureEncoder,
    MultiTypeFeatureEncoder,
    get_feature_encoder,
)

from .gnn_encoder_gat import GatEncoder
from .gnn_encoder_hetgnn import HetGnnEncoder
from .gnn_encoder_lgcl import LgclEncoder
from .gnn_encoder_sage import SageEncoder
from .gnn_encoder_lightgcn import LightGCNEncoder
